package com.zd.laboratory.service.impl;

import com.zd.laboratory.domain.LabConfig;
import com.zd.laboratory.mapper.LabConfigMapper;
import com.zd.laboratory.service.ILabConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author: zhoupan
 * @Date: 2021/11/11/13:47
 * @Description:
 */
@Service
public class LabConfigServiceImpl implements ILabConfigService {
    @Autowired
    LabConfigMapper labConfigMapper;

    @Override
    public LabConfig queryConfig() {

        return labConfigMapper.queryConfig();
    }

    @Override
    public Boolean updateConfig(LabConfig config) {

        config.setId(1);
        return labConfigMapper.updateConfig(config)==1;
    }
}
